### Callable

- write<TBuffer>(fd: number, buffer: TBuffer, offset: number | undefined | null, length: number | undefined | null, position: number | undefined | null, callback: function): void
- write<TBuffer>(fd: number, buffer: TBuffer, offset: number | undefined | null, length: number | undefined | null, callback: function): void
- write<TBuffer>(fd: number, buffer: TBuffer, offset: number | undefined | null, callback: function): void
- write<TBuffer>(fd: number, buffer: TBuffer, callback: function): void
- write(fd: number, string: any, position: number | undefined | null, encoding: string | undefined | null, callback: function): void
- write(fd: number, string: any, position: number | undefined | null, callback: function): void
- write(fd: number, string: any, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:1043

  Asynchronously writes `buffer` to the file referenced by the supplied file descriptor.

  #### Type parameters

  - #### TBuffer: BinaryData

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### buffer: TBuffer

  - ##### offset: number | undefined | null

    The part of the buffer to be written. If not supplied, defaults to `0`.

  - ##### length: number | undefined | null

    The number of bytes to write. If not supplied, defaults to `buffer.length - offset`.

  - ##### position: number | undefined | null

    The offset from the beginning of the file where this data should be written. If not supplied, defaults to the current position.

  - ##### callback: function

    - - (err: ErrnoException, written: number, buffer: TBuffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### buffer: TBuffer

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:1058

  Asynchronously writes `buffer` to the file referenced by the supplied file descriptor.

  #### Type parameters

  - #### TBuffer: BinaryData

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### buffer: TBuffer

  - ##### offset: number | undefined | null

    The part of the buffer to be written. If not supplied, defaults to `0`.

  - ##### length: number | undefined | null

    The number of bytes to write. If not supplied, defaults to `buffer.length - offset`.

  - ##### callback: function

    - - (err: ErrnoException, written: number, buffer: TBuffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### buffer: TBuffer

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:1071

  Asynchronously writes `buffer` to the file referenced by the supplied file descriptor.

  #### Type parameters

  - #### TBuffer: BinaryData

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### buffer: TBuffer

  - ##### offset: number | undefined | null

    The part of the buffer to be written. If not supplied, defaults to `0`.

  - ##### callback: function

    - - (err: ErrnoException, written: number, buffer: TBuffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### buffer: TBuffer

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:1077

  Asynchronously writes `buffer` to the file referenced by the supplied file descriptor.

  #### Type parameters

  - #### TBuffer: BinaryData

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### buffer: TBuffer

  - ##### callback: function

    - - (err: ErrnoException, written: number, buffer: TBuffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### buffer: TBuffer

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:1086

  Asynchronously writes `string` to the file referenced by the supplied file descriptor.

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### string: any

    A string to write. If something other than a string is supplied it will be coerced to a string.

  - ##### position: number | undefined | null

    The offset from the beginning of the file where this data should be written. If not supplied, defaults to the current position.

  - ##### encoding: string | undefined | null

    The expected string encoding.

  - ##### callback: function

    - - (err: ErrnoException, written: number, str: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### str: string

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:1100

  Asynchronously writes `string` to the file referenced by the supplied file descriptor.

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### string: any

    A string to write. If something other than a string is supplied it will be coerced to a string.

  - ##### position: number | undefined | null

    The offset from the beginning of the file where this data should be written. If not supplied, defaults to the current position.

  - ##### callback: function

    - - (err: ErrnoException, written: number, str: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### str: string

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:1107

  Asynchronously writes `string` to the file referenced by the supplied file descriptor.

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### string: any

    A string to write. If something other than a string is supplied it will be coerced to a string.

  - ##### callback: function

    - - (err: ErrnoException, written: number, str: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### str: string

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__<TBuffer>(fd: number, buffer?: TBuffer, offset?: undefined | number, length?: undefined | number, position?: number | null): Promise<object>
- __promisify__(fd: number, string: any, position?: number | null, encoding?: string | null): Promise<object>

- - Defined in node_modules/@types/node/fs.d.ts:1118

  Asynchronously writes `buffer` to the file referenced by the supplied file descriptor.

  #### Type parameters

  - #### TBuffer: BinaryData

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### Optional buffer: TBuffer

  - ##### Optional offset: undefined | number

    The part of the buffer to be written. If not supplied, defaults to `0`.

  - ##### Optional length: undefined | number

    The number of bytes to write. If not supplied, defaults to `buffer.length - offset`.

  - ##### Optional position: number | null

    The offset from the beginning of the file where this data should be written. If not supplied, defaults to the current position.

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/fs.d.ts:1133

  Asynchronously writes `string` to the file referenced by the supplied file descriptor.

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### string: any

    A string to write. If something other than a string is supplied it will be coerced to a string.

  - ##### Optional position: number | null

    The offset from the beginning of the file where this data should be written. If not supplied, defaults to the current position.

  - ##### Optional encoding: string | null

    The expected string encoding.

  #### Returns Promise<object>

Generated using TypeDoc